Author Topic: Kaffe (Java VM) uploaded (untested)  (Read 2910 times)

LordDavon

  • Full Member
  • ***
  • Posts: 161
    • View Profile
    • http://
Kaffe (Java VM) uploaded (untested)
« on: March 03, 2004, 07:44:12 pm »
untar to /usr/local

Feedback needed as this one I think is the JVM people are wanting.

http://zaurus.spy.org/feeds/davonz

LD

ScottYelich

  • Hero Member
  • *****
  • Posts: 992
    • View Profile
    • http://www.zaurususergroup.com/modules.php?opmodload&namephpWiki&filei
Kaffe (Java VM) uploaded (untested)
« Reply #1 on: March 05, 2004, 02:17:31 am »
arrrrgh! too much to play with!
I hope this works.... the x rom needs java.
if we can get it to work as a plugin, this will be amazing.

Scott

ppfundst

  • Newbie
  • *
  • Posts: 35
    • View Profile
Kaffe (Java VM) uploaded (untested)
« Reply #2 on: March 05, 2004, 04:42:12 am »
LorDavon,

what jdk version does this jvm support? Does it support swing apps?

thanks!
SL 760 with 860 rom
Cacko X11 rom
Kingston SD 512M
Taxan CF 10Base Lan (iTax-LAN10)
Slackware 9.1

doublec

  • Jr. Member
  • **
  • Posts: 92
    • View Profile
    • http://radio.weblogs.com/0102385/categories/zaurus/index.html
Kaffe (Java VM) uploaded (untested)
« Reply #3 on: March 05, 2004, 06:35:27 am »
The blackdown vm for arm from http://www.blackdown.org works fine on the pdaxrom. I just tested it. This includes swing apps. It is a v1.3 vm.

ostense

  • Newbie
  • *
  • Posts: 41
    • View Profile
Kaffe (Java VM) uploaded (untested)
« Reply #4 on: December 01, 2004, 08:02:06 am »
Anybody tested kaffe with the latest pdaXrom ?

ViV

  • Newbie
  • *
  • Posts: 41
    • View Profile
    • http://
Kaffe (Java VM) uploaded (untested)
« Reply #5 on: December 01, 2004, 10:55:08 am »
Quote
The blackdown vm for arm from http://www.blackdown.org works fine on the pdaxrom. I just tested it. This includes swing apps. It is a v1.3 vm.
Which pdaxrom version you use? I hope, it's rc5.  
Motorola A780

scoutme

  • Hero Member
  • *****
  • Posts: 579
    • View Profile
Kaffe (Java VM) uploaded (untested)
« Reply #6 on: December 01, 2004, 10:58:41 pm »
untargzipped... what should I do now?

deniscallies

  • Jr. Member
  • **
  • Posts: 73
    • View Profile
    • http://
Kaffe (Java VM) uploaded (untested)
« Reply #7 on: December 02, 2004, 03:42:03 am »
Hello,

look here for more information, but i am not sure if this runs unfer RC 5


Denis

Christoph

  • Newbie
  • *
  • Posts: 42
    • View Profile
    • http://
Kaffe (Java VM) uploaded (untested)
« Reply #8 on: December 02, 2004, 10:03:35 am »
Hi,

I can definitely confirm that blackdown
(http://zaurus.spy.org/feeds/java/blackdown-jdk_1.3.1_arm.ipk)
works on RC5. I only had problems with the Boolean class, so I borrowed
it from kaffe.

Christoph
SL C850, pdaXrom rc10, fvwm

pmf

  • Jr. Member
  • **
  • Posts: 64
    • View Profile
Kaffe (Java VM) uploaded (untested)
« Reply #9 on: December 02, 2004, 12:53:37 pm »
Quote
Hi,

I can definitely confirm that blackdown
(http://zaurus.spy.org/feeds/java/blackdown-jdk_1.3.1_arm.ipk)
works on RC5. I only had problems with the Boolean class, so I borrowed
it from kaffe.

Christoph
Try if floating-point arithmetic works, too.

cs_jacky

  • Full Member
  • ***
  • Posts: 143
    • View Profile
    • http://
Kaffe (Java VM) uploaded (untested)
« Reply #10 on: December 02, 2004, 07:10:08 pm »
I can run Math.sin() and Math.sqrt() with BeanShell running on this JVM. I think it works on RC5.

BTW, what's wrong with Boolean? How to borrow it from Kaffe?  Thanks in advance.

Christoph

  • Newbie
  • *
  • Posts: 42
    • View Profile
    • http://
Kaffe (Java VM) uploaded (untested)
« Reply #11 on: December 03, 2004, 06:57:29 am »
Hi,

Quote
BTW, what's wrong with Boolean? How to borrow it from Kaffe? Thanks in advance.

I had problems running JEdit which complained about a method it didn't find in Boolean.
With the Boolean taken from rt.jar in Kaffee it worked. But it's unsably slow.

Christoph
SL C850, pdaXrom rc10, fvwm

cs_jacky

  • Full Member
  • ***
  • Posts: 143
    • View Profile
    • http://
Kaffe (Java VM) uploaded (untested)
« Reply #12 on: December 03, 2004, 07:24:31 am »
But I can use Boolean with beanshell.

Furthermore, I can run JBoss 2.4.9 with Tomcat 4.0.4. No prolbem so far.

Edit: I tried jEdit as well. It work fine without problems in Boolean. Replace rt.jar with the one in Kaffe is not necessary.
« Last Edit: December 03, 2004, 07:21:08 pm by cs_jacky »